image: maven:3-jdk-11-openj9

variables:
  MAVEN_CLI_OPTS: "--batch-mode"
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"

cache:
  paths:
    - .m2/repository/
    - target/

test:
  stage: test
  script:
    - mvn $MAVEN_CLI_OPTS test
    - grep -E -oh "Total.*?([0-9]{1,3})%" "target/site/jacoco/index.html"

